Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 467940 - plymouth causes installation of cairo/pango on all systems
Summary: plymouth causes installation of cairo/pango on all systems
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: plymouth
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F10DesktopTarget
TreeView+ depends on / blocked
 
Reported: 2008-10-21 19:19 UTC by Dave Jones
Modified: 2015-01-04 22:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-23 14:39:47 UTC


Attachments (Terms of Use)

Description Dave Jones 2008-10-21 19:19:54 UTC
kind of annoying on low-disk-space machines, like my router for eg.

the dep chain looks like..

cairo->pango->plymouth-plugin-label->plymouth-plugin-spinfinity->plymouth

Comment 1 Ray Strode [halfline] 2008-10-21 20:22:57 UTC
relevant discussion:

[15:03:39]  <davej> I'm sad that we can't do minimal installs without
cairo and all the other desktop crap any more thanks to plymouth.
[15:03:40]  <cebbert> (at least for the systems I tried it on)
[15:04:14]  <ajax> davej: cairo is just from the graphical plugin, which
certainly shouldn't be there in a minimal install
[15:04:24]  <ajax> we did factor those apart for a reason
[15:04:56]  <cebbert> is plymouth mandatory on systems without X?
[15:05:09]  <ajax> plymouth is mandatory, period.
[15:05:21]  <ajax> you want it for boot logging anyway
[15:05:24]  <f13> the graphical plugin is not.
[15:05:33]  <halfline> davej: plymouth doesn't require cairo
[15:05:40]  <davej> ajax: you can't remove it. because
cairo->pango->plymouth-plugin-label->plymouth-plugin-spinfinity->plymouth
[15:06:07]  <halfline> ah hrmmm
[15:06:32]  <halfline> i specifically made plymouth dlopen cairo and pango
and such so it wasn't a hard requirement
[15:06:53]  <halfline> but we have Requires: plymouth-system-plugin in the
plymouth package
[15:06:55]  <ajax> halfline: p-p-spinfinity looks like the only thing that
provides system-plymouth-plugin
[15:06:59]  <halfline> right
[15:07:14]  <halfline> not sure how to solve this
[15:07:15]  <halfline> because
[15:07:26]  <halfline> if we make something else provide it
[15:07:36]  <halfline> then it will get pulled in instead and people won't
get spinfinity by default
[15:07:44]  <pjones> o_O
[15:07:48]  <pjones> why's that?
[15:07:48]  <ajax> spinfinity should be a comps decision though
[15:08:01]  <pjones> can't we just make spinfinity default in comps and
/not/ the other thing.
[15:08:01]  <pjones> ?
[15:08:15]  <notting> what does plymouthd do if there are no additional
plugins installed?
[15:08:24]  <ajax^ should use 'details', which is in the base package
[15:08:29]  <ajax> (aiui)
[15:08:30]  <halfline> "text" actually
[15:08:47]  <halfline> hmm, so we could just drop the Requires
[15:08:54]  <ajax> yeah, i think that's the Right THing
[15:08:54]  <halfline> except what about upgrades?
[15:09:05]  <ajax> meh.
[15:09:45]  <davej> 'preupgrade' ftw?
[15:10:22]  <ajax> you could drag it in from gdm.  which isn't really
wrong, just distasteful.
[15:10:41]  <halfline> how would that not be wrong?
[15:10:51]  <halfline> gdm is completely unrelated
[15:11:17]  <ajax> having gdm installed is a reasonably strong indicator
of being the sort of person who wants a graphical plugin
[15:11:37]  <halfline> oh
[15:11:39]  <halfline> maybe i should
[15:11:45]  <halfline> make spinfinity provides: rhgb
[15:12:02]  <halfline> or solar
[15:12:06]  <halfline> whichever one we end up using
[15:12:34]  <ajax> base plymouth Provides: rhgb atm
[15:12:41]  <halfline> right
[15:13:07]  <ajax> yeah, that'd work.  new initscripts should drag in
plymouth no matter what, right?
[15:13:16]  <halfline> but base plymouth isn't graphical, so maybe it
shouldn't provide the old graphical boot package
[15:13:48]  <ajax> packaging sucks
[15:14:02]  <ajax> not that that's a helpful observation, i just needed to
observe it
[15:14:27]  <halfline> i don't think this is the right way to go though
[15:14:43]  <halfline> because do we make _every_ graphical plugin provide
rhgb ?
[15:14:49]  ***  markmc has left chat #fedora-kernel ("Leaving").
[15:14:59]  <halfline> davej: mind filing a bug about this?
[15:15:11]  <ajax> bleh.
[15:15:24]  <davej> halfline: sure
[15:15:51]  <ajax> okay, plymouth-base-graphics empty package that
Prov/Obs: rhgb, and then all the gfx plugins require that.
[15:16:20]  <ajax> except that wouldn't drag in -spinfinity, argh.
[15:16:33]  <halfline> maybe we should make spinfinity not require -label
[15:16:58]  <halfline> it's not actually a requirement, it just gets
upgraded functionality if it's there
[15:17:45]  <halfline> where "upgraded" means "can show prompt text at
password screen"
[15:18:30]  <ajax> what's the problem with making every gfx plugin prov
rhgb?
[15:19:16]  <halfline> i don't know, seems a little weird
[15:19:30]  <halfline> gives undefined results for an everything install,
but i don't care about that
[15:19:38]  <ajax> it does do weird things if there's more than one and
you yum upgrade, i suppose
[15:19:41]  <f13> Provides/Obsoletes games would come down to shortest
name
[15:19:41]  <ajax> but eh
[15:20:06]  <halfline> f13: right, but presumably we'd only pull one
plugin in for any given spin
[15:20:28]  <halfline> oh, upgrades
[15:20:30]  <ajax> yeah
[15:20:37]  <halfline> which is the whole reason we're having this
conversation
[15:20:38]  <halfline> sigh
[15:20:41]  <ajax> we don't do per-spin repos, so.
[15:21:45]  <halfline> i could add a dummy package with a really long name
that provides system-plymouth-plugin
[15:21:46]  <ajax> the other option, of course, is to just stick upgraders
with no gfx plugin unless they a) preupgrade b) pick one by hand
[15:22:15]  <halfline> well i'd rather make people who want the
non-defaults to have to do extra work
[15:22:46]  <ajax> spinfinity's not a great name then ;)
[15:23:37]  <ajax> i don't think the package cabal would like
plymouth-plugin-vel as a name
[15:24:54]  <davej> spinfinininininiity
[15:25:16]  <davej> didn't owen do something like that with his window
manager bonghits a few years back?
[15:25:22]  <ajax> spiffiffity
[15:25:27]  <davej> heh, that was it
[15:29:35]  <halfline> that was me
[15:29:40]  <halfline> not owen
[15:29:48]  <halfline> and i think there were more iff's
[15:29:58]  <halfline> spififififity or something
[15:30:12]  <davej> you crazy kids. you all look alike to me.
[15:30:21]  <ajax> GET OFFA MY LAWN
[15:30:37]  <ajax> we need to get you a rocking chair and a shotgun
[15:30:43]  <davej> I'm all over that.
[15:30:49]  <davej> I'm looking forward to being old.
[15:30:51]  <ajax> ideally in the next ten days so you can scare kids at
halloween
[15:30:57]  <davej> then no-one cares if you walk around town carrying a
big stick
[15:30:59]  <halfline> okay so i think i'm just going to create a stub
package, plymouth-plugin-details-and-text-only

Comment 2 Ray Strode [halfline] 2008-10-21 20:23:58 UTC
adding to target list.

Comment 3 Ray Strode [halfline] 2008-10-23 14:39:47 UTC
This should be fixed in tommorrow's rawhide.

Just 

yum install plymouth-text-and-details-only
and
rpm -e plymouth-plugin-spinfinity


Note You need to log in before you can comment on or make changes to this bug.